This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 780339 - (SOA-2748) Non ESB web-service related quickstarts does not work with CXF
Non ESB web-service related quickstarts does not work with CXF
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Examples (Show other bugs)
5.1.0.ER3
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-06 04:29 EST by Jiri Pechanec
Modified: 2011-02-10 19:23 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-10 19:23:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2748 Critical Closed Non ESB web-service related quickstarts does not work with CXF 2013-01-29 18:22:06 EST

  None (edit)
Description Jiri Pechanec 2011-01-06 04:29:45 EST
project_key: SOA

Install CXF
run ant deploy
For example for
helloworld_ejb3_ws
helloworld_ejb3_ws_wss

The compilation will fail
Comment 1 Kevin Conner 2011-01-06 04:29:46 EST
Link: Added: This issue Cloned from SOA-2440
Comment 2 Kevin Conner 2011-01-06 04:32:34 EST
Removing fix version for triage
Comment 3 Kevin Conner 2011-01-06 10:42:37 EST
The issue with these quickstarts is that they both use jbossws-native annotations and will never work on CXF.

I can change their build.xmls to check for jbossws-native and fail cleanly if not present, otherwise someone needs to rewrite/delete these quickstarts.

The svn repository is https://svn.devel.redhat.com/repos/jboss-soa/trunk/build-tools/resource/quickstarts/embedded
Comment 4 Kevin Conner 2011-01-07 12:38:19 EST
Updated in revision 7820 of the platform repository.

Quickstarts now display the following message

"This quickstart only runs in a server profile which contains jbossws-native."
Comment 5 Jiri Pechanec 2011-01-25 09:02:24 EST
Verified in ER7
Comment 6 David Le Sage 2011-02-08 22:52:09 EST
Temporarily reopening to update release note info.
Comment 7 David Le Sage 2011-02-08 22:54:28 EST
Release Notes Docs Status: Added: Documented as Resolved Issue
Release Notes Text: Added: https://issues.jboss.org/browse/SOA-2748

Non-ESB web-service related quic kstarts would not work with CXF. They would fail upon deployment.  The code now checks the profile against which they are to be run and produces an information error message instead.
Comment 8 David Le Sage 2011-02-08 22:55:27 EST
Release Notes Text: Removed: https://issues.jboss.org/browse/SOA-2748

Non-ESB web-service related quic kstarts would not work with CXF. They would fail upon deployment.  The code now checks the profile against which they are to be run and produces an information error message instead. Added: https://issues.jboss.org/browse/SOA-2748

Non-ESB web-service related quic s tarts would not work with CXF. They would fail upon deployment.  The code now checks the profile against which they are to be run and, if jbossws-native is absent,  produces an informative error message instead.
Comment 9 David Le Sage 2011-02-10 19:23:23 EST
Fixing release note typo.
Comment 10 David Le Sage 2011-02-10 19:23:43 EST
Release Notes Text: Removed: https://issues.jboss.org/browse/SOA-2748

Non-ESB web-service related quic s tarts would not work with CXF. They would fail upon deployment.  The code now checks the profile against which they are to be run and, if jbossws-native is absent,  produces an informative error message instead. Added: https://issues.jboss.org/browse/SOA-2748

Non-ESB web-service related quick starts would not work with CXF. They would fail upon deployment.  The code now checks the profile against which they are to be run and, if jbossws-native is absent,  produces an informative error message instead.

Note You need to log in before you can comment on or make changes to this bug.